Add Audio

Add any audio file to the video asset. The response of this API call gives upload_url for each language specified. You need to send a PUT request of the audio files to those URLs. Once that's done, you need to call the audio upload complete API. Only after that will Gumlet add audio to the asset.

Path Parameters
  • asset_ID
    Type: string
    required

    An asset id for the previously created asset.

Body
application/json
  • language_codes
    Type: array string[]

    List of language Code to upload audio file (use ISO 639-1 Language Codes)

Responses
  • application/json
  • application/json
Request Example for post/video/assets/{asset_ID}/audio/upload
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const audioUpload = await client.audioUpload.upload('assetId');

console.log(audioUpload);
{
  "signed_urls": [
    {
      "language_code": "en",
      "upload_url": "<UPLOAD_URL>"
    }
  ],
  "asset_id": "6a8491aaf180d34362c9587a"
}